image: python:3-alpine

stages:
  - test

django_test:
  stage: test
  before_script:
    - pip install -r requirements/dev.txt
  script:
    - python manage.py test

coverage:
  stage: test
  before_script:
    - pip install -r requirements/dev.txt
  script:
    - coverage run
    - coverage report -m
    - coverage html -d public/coverage
  artifacts:
    paths:
      - public/coverage
